onEvent('recipes', (event) => {

    const id_prefix = 'naturesaura:kubejs/offering';

    const recipes = [
        {
            input: 'naturesaura:tainted_gold',
            start_item: 'naturesaura:calling_spirit',
            output: 'naturesaura:sky_ingot',
            id: 'naturesaura:offering/sky_ingot_from_gold'
        }
    ];

    recipes.forEach((recipe) => {
        recipe.type = 'naturesaura:offering';
        recipe.start_item = Ingredient.of(recipe.start_item).toJson();
        recipe.input = Ingredient.of(recipe.input).toJson();
        recipe.output = Item.of(recipe.output).toResultJson();
        event.custom(recipe).id(recipe.id);
    });
});